diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/DescriptionsMenuPropertyTesterE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/DescriptionsMenuPropertyTesterE4.java
index 3101adb28..de1e92bc7 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/DescriptionsMenuPropertyTesterE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/DescriptionsMenuPropertyTesterE4.java
@@ -21,7 +21,6 @@ import eu.etaxonomy.taxeditor.model.FeatureNodeContainer;
  *
  * @author p.ciardelli
  * @author n.hoffmann
- * @version $Id: $
  */
 public class DescriptionsMenuPropertyTesterE4 extends PropertyTester {
 
@@ -36,10 +35,6 @@ public class DescriptionsMenuPropertyTesterE4 extends PropertyTester {
 	private static final String BULK_EDITOR = "isBulkEditor"; //$NON-NLS-1$
 	private static final String DERIVATE_EDITOR = "isDerivateEditor"; //$NON-NLS-1$
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.expressions.IPropertyTester#test(java.lang.Object, java.lang.String, java.lang.Object[], java.lang.Object)
-	 */
-	/** {@inheritDoc} */
 	@Override
     public boolean test(Object receiver, String property, Object[] args,
 			Object expectedValue) {
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/DynamicFeatureMenuE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/DynamicFeatureMenuE4.java
index 24280ae3f..fd09edeeb 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/DynamicFeatureMenuE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/DynamicFeatureMenuE4.java
@@ -39,14 +39,11 @@ import eu.etaxonomy.taxeditor.model.FeatureNodeContainer;
 import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
 
 /**
- *
  * @author pplitzner
  * @date 15.08.2017
- *
  */
 public class DynamicFeatureMenuE4 {
 
-    /** {@inheritDoc} */
     @AboutToShow
     public void aboutToShow(List<MMenuElement> items, @Named(IServiceConstants.ACTIVE_SELECTION) IStructuredSelection selection) {
         Language globalLanguage = PreferencesUtil.getGlobalLanguage();
@@ -82,7 +79,7 @@ public class DynamicFeatureMenuE4 {
     }
 
     private void createMenuItem(MMenu menu, final DefinedTermBase feature, Language globalLanguage) {
-        final DefinedTermBase deproxiedFeature = HibernateProxyHelper.deproxy(feature, DefinedTermBase.class);
+        final DefinedTermBase<?> deproxiedFeature = HibernateProxyHelper.deproxy(feature, DefinedTermBase.class);
 
         String label = deproxiedFeature.getLabel(globalLanguage);
         if (label == null){
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/MoveDescriptionElementsHandlerE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/MoveDescriptionElementsHandlerE4.java
index 1d0887728..09bd4f198 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/MoveDescriptionElementsHandlerE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/MoveDescriptionElementsHandlerE4.java
@@ -61,10 +61,8 @@ import eu.etaxonomy.taxeditor.workbench.part.IE4SavablePart;
 
 
 /**
- *
  * @author pplitzner
  * @date 15.08.2017
- *
  */
 public class MoveDescriptionElementsHandlerE4 implements IPostOperationEnabled{
     private UUID newAcceptedTaxonNodeUuid;
@@ -193,7 +191,6 @@ public class MoveDescriptionElementsHandlerE4 implements IPostOperationEnabled{
         }
     }
 
-    /** {@inheritDoc} */
     @Override
     public boolean postOperation(Object objectAffectedByOperation) {
 
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/MoveDescriptionElementsSetNameInSourceHandlerE5.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/MoveDescriptionElementsSetNameInSourceHandlerE5.java
index 7c3339e84..fc62f3f60 100755
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/MoveDescriptionElementsSetNameInSourceHandlerE5.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/MoveDescriptionElementsSetNameInSourceHandlerE5.java
@@ -61,10 +61,8 @@ import eu.etaxonomy.taxeditor.workbench.part.IE4SavablePart;
 
 
 /**
- *
  * @author pplitzner
  * @date 15.08.2017
- *
  */
 public class MoveDescriptionElementsSetNameInSourceHandlerE5 implements IPostOperationEnabled{
     private UUID newAcceptedTaxonNodeUuid;
@@ -93,8 +91,8 @@ public class MoveDescriptionElementsSetNameInSourceHandlerE5 implements IPostOpe
         Taxon actualTaxon= null;
 
         List<DescriptionElementBase> elements = new ArrayList<DescriptionElementBase>();
-        DescriptionBase description = null;
-        for (Iterator iter = viewselection.iterator(); iter.hasNext();) {
+        DescriptionBase<?> description = null;
+        for (Iterator<?> iter = viewselection.iterator(); iter.hasNext();) {
             Object object = iter.next();
             if (object instanceof DescriptionElementBase) {
                 UUID uuid = ((DescriptionElementBase) object).getUuid();
@@ -193,7 +191,6 @@ public class MoveDescriptionElementsSetNameInSourceHandlerE5 implements IPostOpe
         }
     }
 
-    /** {@inheritDoc} */
     @Override
     public boolean postOperation(Object objectAffectedByOperation) {
 
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/MoveDescriptionToOtherTaxonHandlerE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/MoveDescriptionToOtherTaxonHandlerE4.java
index 3325d81b7..37c5479e2 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/MoveDescriptionToOtherTaxonHandlerE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/MoveDescriptionToOtherTaxonHandlerE4.java
@@ -48,10 +48,8 @@ import eu.etaxonomy.taxeditor.workbench.WorkbenchUtility;
 import eu.etaxonomy.taxeditor.workbench.part.IE4SavablePart;
 
 /**
- *
  * @author pplitzner
  * @date 15.08.2017
- *
  */
 public class MoveDescriptionToOtherTaxonHandlerE4 implements IPostOperationEnabled {
 
@@ -150,11 +148,8 @@ public class MoveDescriptionToOtherTaxonHandlerE4 implements IPostOperationEnabl
             editor.redraw();
            // AbstractUtility.executeOperation(operation, sync);
         }
-
-
     }
 
-    /** {@inheritDoc} */
     @Override
     public boolean postOperation(Object objectAffectedByOperation) {
         Display.getDefault().asyncExec(new Runnable(){
@@ -168,10 +163,7 @@ public class MoveDescriptionToOtherTaxonHandlerE4 implements IPostOperationEnabl
                     MessagingUtils.warningDialog(Messages.MoveDescriptionToOtherTaxonHandler_CREATE_FAILED, this, e.getMessage());
                 }
             }
-
         });
-
-
         return true;
     }
 
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/MoveDescriptionToOtherTaxonSetNameInSourceHandlerE5.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/MoveDescriptionToOtherTaxonSetNameInSourceHandlerE5.java
index 836f93c51..15984dbb3 100755
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/MoveDescriptionToOtherTaxonSetNameInSourceHandlerE5.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/e4/handler/MoveDescriptionToOtherTaxonSetNameInSourceHandlerE5.java
@@ -48,10 +48,8 @@ import eu.etaxonomy.taxeditor.workbench.WorkbenchUtility;
 import eu.etaxonomy.taxeditor.workbench.part.IE4SavablePart;
 
 /**
- *
  * @author pplitzner
  * @date 15.08.2017
- *
  */
 public class MoveDescriptionToOtherTaxonSetNameInSourceHandlerE5 implements IPostOperationEnabled {
 
@@ -154,7 +152,6 @@ public class MoveDescriptionToOtherTaxonSetNameInSourceHandlerE5 implements IPos
 
     }
 
-    /** {@inheritDoc} */
     @Override
     public boolean postOperation(Object objectAffectedByOperation) {
         Display.getDefault().asyncExec(new Runnable(){
@@ -168,10 +165,7 @@ public class MoveDescriptionToOtherTaxonSetNameInSourceHandlerE5 implements IPos
                     MessagingUtils.warningDialog(Messages.MoveDescriptionToOtherTaxonHandler_CREATE_FAILED, this, e.getMessage());
                 }
             }
-
         });
-
-
         return true;
     }
 
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/CreateDescriptionElementOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/CreateDescriptionElementOperation.java
index 0f4ca8b20..b50a3fea4 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/CreateDescriptionElementOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/descriptive/operation/CreateDescriptionElementOperation.java
@@ -35,7 +35,6 @@ import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
  * @author p.ciardelli
  * @author n.hoffmann
  * @created 05.02.2009
- * @version 1.0
  */
 public class CreateDescriptionElementOperation extends AbstractPostTaxonOperation {
 
@@ -83,10 +82,6 @@ public class CreateDescriptionElementOperation extends AbstractPostTaxonOperatio
 		this.element = element;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#execute(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus execute(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
@@ -123,10 +118,6 @@ public class CreateDescriptionElementOperation extends AbstractPostTaxonOperatio
 		return postExecute(element);
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#redo(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus redo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
@@ -136,10 +127,6 @@ public class CreateDescriptionElementOperation extends AbstractPostTaxonOperatio
 		return postExecute(element);
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#undo(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus undo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/uses/UsesLabelProvider.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/uses/UsesLabelProvider.java
index 5993e20a9..bff4a80e2 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/uses/UsesLabelProvider.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/view/uses/UsesLabelProvider.java
@@ -15,13 +15,13 @@ import org.eclipse.jface.viewers.ColumnLabelProvider;
 import org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider.IStyledLabelProvider;
 import org.eclipse.jface.viewers.StyledString;
 
-import eu.etaxonomy.cdm.model.term.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.LanguageString;
 import eu.etaxonomy.cdm.model.description.CategoricalData;
 import eu.etaxonomy.cdm.model.description.DescriptionBase;
 import eu.etaxonomy.cdm.model.description.StateData;
 import eu.etaxonomy.cdm.model.description.TextData;
+import eu.etaxonomy.cdm.model.term.DefinedTerm;
 import eu.etaxonomy.taxeditor.editor.l10n.Messages;
 import eu.etaxonomy.taxeditor.model.FeatureNodeContainer;
 import eu.etaxonomy.taxeditor.store.CdmStore;
@@ -31,7 +31,6 @@ import eu.etaxonomy.taxeditor.store.UsageTermCollection;
  * UsesLabelProvider Class
  * @author a.theys
  * @created mar 13, 2012
- * @version 1.0
  */
 public class UsesLabelProvider extends ColumnLabelProvider implements
 		IStyledLabelProvider {
@@ -40,13 +39,12 @@ public class UsesLabelProvider extends ColumnLabelProvider implements
     private static final String NO_DATA_PROVIDED = Messages.UsesLabelProvider_NO_DATA;
     private static final String SEMICOLON = ";"; //$NON-NLS-1$
 
-    /** {@inheritDoc} */
 	@Override
     public String getText(Object element) {
 		String text = ""; //$NON-NLS-1$
 
 		if (element instanceof DescriptionBase) {
-			text = ((DescriptionBase) element).getTitleCache();
+			text = ((DescriptionBase<?>) element).getTitleCache();
 			if (text == null || text.length() == 0) {
 				text = USE+Messages.UsesLabelProvider_NO_LABEL;
 			}
@@ -164,7 +162,7 @@ public class UsesLabelProvider extends ColumnLabelProvider implements
 		return  text;
 	}
 
-	/** Function dertmining which vocabulary is the term part of
+	/** Function determining which vocabulary is the term part of
 	 *
 	 * @param term
 	 * @param vocabularyExpected
@@ -183,13 +181,9 @@ public class UsesLabelProvider extends ColumnLabelProvider implements
 	return false;
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public StyledString getStyledText(Object element) {
 		return new StyledString(this.getText(element),
 				StyledString.QUALIFIER_STYLER);
 	}
-
-
-
 }
diff --git a/eu.etaxonomy.taxeditor.navigation/src/main/java/eu/etaxonomy/taxeditor/navigation/internal/TaxeditorNavigationPlugin.java b/eu.etaxonomy.taxeditor.navigation/src/main/java/eu/etaxonomy/taxeditor/navigation/internal/TaxeditorNavigationPlugin.java
index faed12997..6b20e2a74 100644
--- a/eu.etaxonomy.taxeditor.navigation/src/main/java/eu/etaxonomy/taxeditor/navigation/internal/TaxeditorNavigationPlugin.java
+++ b/eu.etaxonomy.taxeditor.navigation/src/main/java/eu/etaxonomy/taxeditor/navigation/internal/TaxeditorNavigationPlugin.java
@@ -11,7 +11,6 @@ import eu.etaxonomy.taxeditor.store.CdmStore;
  * The activator class controls the plug-in life cycle
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public class TaxeditorNavigationPlugin extends AbstractUIPlugin {
 
@@ -21,19 +20,15 @@ public class TaxeditorNavigationPlugin extends AbstractUIPlugin {
 
 	// The shared instance
 	private static TaxeditorNavigationPlugin plugin;
-	
+
 	/**
 	 * The constructor
 	 */
 	public TaxeditorNavigationPlugin() {
 	}
 
-	/*
-	 * (non-Javadoc)
-	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
-	 */
-	/** {@inheritDoc} */
-	public void start(BundleContext context) throws Exception {
+	@Override
+    public void start(BundleContext context) throws Exception {
 		super.start(context);
 
 		NavigatorStateManager stateManager = new NavigatorStateManager();
@@ -41,12 +36,8 @@ public class TaxeditorNavigationPlugin extends AbstractUIPlugin {
 		plugin = this;
 	}
 
-	/*
-	 * (non-Javadoc)
-	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
-	 */
-	/** {@inheritDoc} */
-	public void stop(BundleContext context) throws Exception {
+	@Override
+    public void stop(BundleContext context) throws Exception {
 		plugin = null;
 		super.stop(context);
 	}
diff --git a/eu.etaxonomy.taxeditor.navigation/src/main/java/eu/etaxonomy/taxeditor/navigation/navigator/TaxonNodePropertyTester.java b/eu.etaxonomy.taxeditor.navigation/src/main/java/eu/etaxonomy/taxeditor/navigation/navigator/TaxonNodePropertyTester.java
index d7e427d5b..278299ba5 100644
--- a/eu.etaxonomy.taxeditor.navigation/src/main/java/eu/etaxonomy/taxeditor/navigation/navigator/TaxonNodePropertyTester.java
+++ b/eu.etaxonomy.taxeditor.navigation/src/main/java/eu/etaxonomy/taxeditor/navigation/navigator/TaxonNodePropertyTester.java
@@ -3,7 +3,6 @@
  * <p>TaxonNodePropertyTester class.</p>
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 package eu.etaxonomy.taxeditor.navigation.navigator;
 
@@ -26,13 +25,13 @@ public class TaxonNodePropertyTester extends PropertyTester {
 	private static final Object IS_UNPLACED = "isUnplaced"; //$NON-NLS-1$
 	private static final Object IS_EXCLUDED = "isExcluded"; //$NON-NLS-1$
     private static final Object NO_CLASSIFICATION_EXIST = "noClassificationExist";
-	/** {@inheritDoc} */
+
 	@Override
     public boolean test(Object receiver, String property, Object[] args,
 			Object expectedValue) {
 		if (receiver instanceof Collection){
-			if (((Collection)receiver).iterator().hasNext()){
-				receiver = ((Collection)receiver).iterator().next();
+			if (((Collection<?>)receiver).iterator().hasNext()){
+				receiver = ((Collection<?>)receiver).iterator().next();
 			}
 		}
 		if (receiver instanceof TaxonNode && HAS_SYNONYMS.equals(property)) {
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/datasource/CdmDataSourceRepository.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/datasource/CdmDataSourceRepository.java
index 11220ce09..45fa14a09 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/datasource/CdmDataSourceRepository.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/datasource/CdmDataSourceRepository.java
@@ -1,4 +1,3 @@
-
 /**
  * Copyright (C) 2007 EDIT
  * European Distributed Institute of Taxonomy
@@ -8,9 +7,7 @@
  * See LICENSE.TXT at the top of this package for the full license terms.
  *
  * @author n.hoffmann
- * @version $Id: $
  */
-
 package eu.etaxonomy.taxeditor.datasource;
 
 import java.io.File;
@@ -53,8 +50,6 @@ public class CdmDataSourceRepository{
 	private static String lastUsedCdmSourceName;
 	private static String lastUsedCdmSourcePostFix;
 
-
-
 	/**
 	 * <p>Getter for the field <code>lastUsedDataSourceName</code>.</p>
 	 *
@@ -67,7 +62,6 @@ public class CdmDataSourceRepository{
 			lastUsedCdmSourcePostFix = memento != null ? memento.getString(CURRENT_DATASOURCE_POSTFIX) : DEFAULT_DATASOURCE_POSTFIX;
 
 		}
-
 	}
 
 	/**
@@ -81,7 +75,6 @@ public class CdmDataSourceRepository{
 		return true;
 	}
 
-
 	/**
 	 * <p>getAll</p>
 	 *
@@ -92,7 +85,7 @@ public class CdmDataSourceRepository{
 
 		if (CdmPersistentDataSource.getAllDataSources() == null){
 			MessagingUtils.errorDialog("Could not read root element", CdmPersistentDataSource.class,
-					"Could not read element in datasources.xml in .cdmLibrary folder. Maybe your datasources.xml file is broken.", 
+					"Could not read element in datasources.xml in .cdmLibrary folder. Maybe your datasources.xml file is broken.",
 					TaxeditorStorePlugin.PLUGIN_ID, null, true);
 			return remoteSources;
 		}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/labels/DefaultLabelStrategy.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/labels/DefaultLabelStrategy.java
index 4aaa2fef7..85a64d31e 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/labels/DefaultLabelStrategy.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/labels/DefaultLabelStrategy.java
@@ -15,14 +15,9 @@ import eu.etaxonomy.taxeditor.store.TermStore;
  * <p>DefaultLabelStrategy class.</p>
  *
  * @author p.ciardelli
- * @version $Id: $
  */
 public class DefaultLabelStrategy implements ILabelImageStrategy {
 
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.taxeditor.editor.labels.IEditorLabelStrategy#getNameRelationTypeLabel(eu.etaxonomy.cdm.model.name.NameRelationshipType)
-	 */
-	/** {@inheritDoc} */
 	@Override
     public String getNameRelationTypeLabel(NameRelationshipType type) {
 		List<NameRelationshipType> vocab =
@@ -36,10 +31,6 @@ public class DefaultLabelStrategy implements ILabelImageStrategy {
 		return "";
 	}
 
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.taxeditor.editor.labels.IEditorLabelStrategy#getNameRelationInverseTypeLabel(eu.etaxonomy.cdm.model.name.NameRelationshipType)
-	 */
-	/** {@inheritDoc} */
 	@Override
     public String getNameRelationTypeInverseLabel(NameRelationshipType type) {
 
@@ -54,10 +45,6 @@ public class DefaultLabelStrategy implements ILabelImageStrategy {
 		return "";
 	}
 
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.taxeditor.editor.labels.ILabelImageStrategy#getNameRelationImage(eu.etaxonomy.cdm.model.name.NameRelationship)
-	 */
-	/** {@inheritDoc} */
 	@Override
     public Image getNameRelationTypeImage(NameRelationshipType type) {
 		if (NameRelationshipType.BASIONYM().equals(type)) {
@@ -71,10 +58,6 @@ public class DefaultLabelStrategy implements ILabelImageStrategy {
 		return null;
 	}
 
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.taxeditor.labels.ILabelImageStrategy#getNameRelationDescription(eu.etaxonomy.cdm.model.name.NameRelationshipType)
-	 */
-	/** {@inheritDoc} */
 	@Override
     public String getNameRelationTypeDescription(NameRelationshipType type) {
 		if (NameRelationshipType.BASIONYM().equals(type)) {
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/labels/ILabelImageStrategy.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/labels/ILabelImageStrategy.java
index 63b462878..892b0a82d 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/labels/ILabelImageStrategy.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/labels/ILabelImageStrategy.java
@@ -1,5 +1,5 @@
 /**
- * 
+ *
  */
 package eu.etaxonomy.taxeditor.labels;
 
@@ -11,7 +11,6 @@ import eu.etaxonomy.cdm.model.name.NameRelationshipType;
  * <p>ILabelImageStrategy interface.</p>
  *
  * @author p.ciardelli
- * @version $Id: $
  */
 public interface ILabelImageStrategy {
 
@@ -22,7 +21,7 @@ public interface ILabelImageStrategy {
 	 * @return a {@link java.lang.String} object.
 	 */
 	String getNameRelationTypeLabel(NameRelationshipType type);
-	
+
 	/**
 	 * <p>getNameRelationTypeInverseLabel</p>
 	 *
@@ -30,7 +29,7 @@ public interface ILabelImageStrategy {
 	 * @return a {@link java.lang.String} object.
 	 */
 	String getNameRelationTypeInverseLabel(NameRelationshipType type);
-	
+
 	/**
 	 * <p>getNameRelationTypeImage</p>
 	 *
@@ -38,7 +37,7 @@ public interface ILabelImageStrategy {
 	 * @return a {@link org.eclipse.swt.graphics.Image} object.
 	 */
 	Image getNameRelationTypeImage(NameRelationshipType type);
-	
+
 	/**
 	 * <p>getNameRelationTypeDescription</p>
 	 *
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/labels/LabelImageProvider.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/labels/LabelImageProvider.java
index 4462668ea..3c000088c 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/labels/LabelImageProvider.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/labels/LabelImageProvider.java
@@ -1,5 +1,5 @@
 /**
- * 
+ *
  */
 package eu.etaxonomy.taxeditor.labels;
 
@@ -15,7 +15,6 @@ import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
  * code using a code-specific ILabelImageStrategy.
  *
  * @author p.ciardelli
- * @version $Id: $
  */
 public class LabelImageProvider implements ILabelImageStrategy {
 
@@ -33,8 +32,8 @@ public class LabelImageProvider implements ILabelImageStrategy {
 					equals(NomenclaturalCode.ICZN)) {
 				return new ZoologicalNameLabelStrategy();
 			}
-		} else if (name.getNomenclaturalCode() != null &&
-				name.getNomenclaturalCode().equals(NomenclaturalCode.ICZN)) {
+		} else if (name.getNameType() != null &&
+				name.getNameType().equals(NomenclaturalCode.ICZN)) {
 			return new ZoologicalNameLabelStrategy();
 		}
 		return new DefaultLabelStrategy();
@@ -48,12 +47,13 @@ public class LabelImageProvider implements ILabelImageStrategy {
 	public LabelImageProvider(ILabelImageStrategy strategy) {
 		this.strategy = strategy;
 	}
-	
+
 	/* (non-Javadoc)
 	 * @see eu.etaxonomy.taxeditor.editor.labels.IEditorLabelStrategy#getNameRelationTypeLabel(eu.etaxonomy.cdm.model.name.NameRelationshipType)
 	 */
 	/** {@inheritDoc} */
-	public String getNameRelationTypeLabel(NameRelationshipType type) {
+	@Override
+    public String getNameRelationTypeLabel(NameRelationshipType type) {
 		return strategy.getNameRelationTypeLabel(type);
 	}
 
@@ -61,7 +61,8 @@ public class LabelImageProvider implements ILabelImageStrategy {
 	 * @see eu.etaxonomy.taxeditor.editor.labels.IEditorLabelStrategy#getNameRelationInverseTypeLabel(eu.etaxonomy.cdm.model.name.NameRelationshipType)
 	 */
 	/** {@inheritDoc} */
-	public String getNameRelationTypeInverseLabel(NameRelationshipType type) {
+	@Override
+    public String getNameRelationTypeInverseLabel(NameRelationshipType type) {
 		return strategy.getNameRelationTypeInverseLabel(type);
 	}
 
@@ -69,7 +70,8 @@ public class LabelImageProvider implements ILabelImageStrategy {
 	 * @see eu.etaxonomy.taxeditor.editor.labels.ILabelImageStrategy#getNameRelationImage(eu.etaxonomy.cdm.model.name.NameRelationship)
 	 */
 	/** {@inheritDoc} */
-	public Image getNameRelationTypeImage(NameRelationshipType type) {
+	@Override
+    public Image getNameRelationTypeImage(NameRelationshipType type) {
 		return strategy.getNameRelationTypeImage(type);
 	}
 
@@ -77,7 +79,8 @@ public class LabelImageProvider implements ILabelImageStrategy {
 	 * @see eu.etaxonomy.taxeditor.labels.ILabelImageStrategy#getNameRelationDescription(eu.etaxonomy.cdm.model.name.NameRelationshipType)
 	 */
 	/** {@inheritDoc} */
-	public String getNameRelationTypeDescription(NameRelationshipType type) {
+	@Override
+    public String getNameRelationTypeDescription(NameRelationshipType type) {
 		return strategy.getNameRelationTypeDescription(type);
 	}
 }
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/labels/ZoologicalNameLabelStrategy.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/labels/ZoologicalNameLabelStrategy.java
index b7a6e1e67..305028626 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/labels/ZoologicalNameLabelStrategy.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/labels/ZoologicalNameLabelStrategy.java
@@ -1,5 +1,5 @@
 /**
- * 
+ *
  */
 package eu.etaxonomy.taxeditor.labels;
 
@@ -11,34 +11,27 @@ import eu.etaxonomy.cdm.model.name.NameRelationshipType;
  * <p>ZoologicalNameLabelStrategy class.</p>
  *
  * @author p.ciardelli
- * @version $Id: $
  */
 public class ZoologicalNameLabelStrategy extends DefaultLabelStrategy {
 
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.taxeditor.editor.labels.IEditorLabelStrategy#getNameRelationTypeLabel(eu.etaxonomy.cdm.model.name.NameRelationshipType)
-	 */
-	/** {@inheritDoc} */
-	public String getNameRelationTypeLabel(NameRelationshipType type) {
+	@Override
+    public String getNameRelationTypeLabel(NameRelationshipType type) {
 		if (type.equals(NameRelationshipType.BASIONYM())) {
 			return "original combination for";
 		}
 		return super.getNameRelationTypeLabel(type);
 	}
-	
-	/** {@inheritDoc} */
-	public Image getNameRelationTypeImage(NameRelationshipType type) {
+
+	@Override
+    public Image getNameRelationTypeImage(NameRelationshipType type) {
 		if (NameRelationshipType.BASIONYM().equals(type)) {
 			return null;
 		}
 		return super.getNameRelationTypeImage(type);
 	}
-	
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.taxeditor.labels.ILabelImageStrategy#getNameRelationDescription(eu.etaxonomy.cdm.model.name.NameRelationshipType)
-	 */
-	/** {@inheritDoc} */
-	public String getNameRelationTypeDescription(NameRelationshipType type) {
+
+	@Override
+    public String getNameRelationTypeDescription(NameRelationshipType type) {
 		if (NameRelationshipType.BASIONYM().equals(type)) {
 			return "Original Combination";
 		}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/model/IPartChangeListener.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/model/IPartChangeListener.java
index d3b16a26f..a05016702 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/model/IPartChangeListener.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/model/IPartChangeListener.java
@@ -1,5 +1,5 @@
 /**
- * 
+ *
  */
 package eu.etaxonomy.taxeditor.model;
 
@@ -9,10 +9,9 @@ import org.eclipse.ui.IWorkbenchPartReference;
  * <p>IPartChangeListener interface.</p>
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public interface IPartChangeListener {
-	
+
 	/**
 	 * <p>partChanged</p>
 	 *
@@ -20,5 +19,4 @@ public interface IPartChangeListener {
 	 * @param partRef a {@link org.eclipse.ui.IWorkbenchPartReference} object.
 	 */
 	public void partChanged(Integer eventType, IWorkbenchPartReference partRef);
-	
-}
+}
\ No newline at end of file
